
QGIS Application - Bug report #3133

Menus too large for small screens

2010-10-18 10:02 AM - Bill Morris

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13193

Description

I'm using QGIS with an HP 110c mini netbook (because GIS should be portable too), with a screen resolution 1024x600.  Two essential

QGIS menus - "Options" and "Raster Layer Properties" - default to a size that is too large for my screen resolution.  Specifically, the

confirmation buttons at the bottom of each aren't visible or selectable, rendering the menus unuseable (see attached screenshots).  This is

particularly problematic for raster display, since image interpretation is often impossible on the default drawing settings.

I believe the problem could be fixed with either a vertical scrollbar in the menu windows or a smaller default launch size (though the latter

option may be inconvenient for users with normal screen sizes).

History

#1 - 2010-10-18 10:06 AM - Giovanni Manghi

some here in Dell mini 9. Qgis works really fine, it would just need menu windows to be resized in order to fit small screens, then you can forget to need

create a "mobile" version of QGIS. ;)

#2 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-05-21 08:01 AM - Bill Morris

- Status changed from Open to Closed

- Assignee deleted (nobody -)

Not using QGIS on a netbook anymore, and frankly not sure it should be supported.

#6 - 2014-05-21 09:11 AM - Paolo Cavallini

- Status changed from Closed to Reopened

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

- Pull Request or Patch supplied set to No
I think at least 1024x768 should be supported.

#7 - 2015-11-18 08:37 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Hello, bug triage...

I've made some tests on a 1024x768 screen and both dialog boxes are usable in this small resolution:

    -  there are scrollbars everywhere on every tab if the screen height is not able to display everything.

    -  you can always resize the whole dialog box to the required size (minimum width is 800px, minimum height is something like 320px).

I am closing this bug.
